> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tra.cy/llms.txt
> Use this file to discover all available pages before exploring further.

# Create record

> Creates a new record (or duplicates an existing one).



## OpenAPI

````yaml en/rest-api/openapi.json post /v1/records
openapi: 3.0.4
info:
  title: Tracy.Api
  version: '1.0'
servers: []
security: []
tags:
  - name: AccessTokens
  - name: Automations
  - name: Commands
  - name: Dashboards
  - name: Datasets
  - name: Datums
  - name: EmailChangeTokens
  - name: EmailValidationTokens
  - name: Events
  - name: FcmTokens
  - name: FileDownloadTokens
  - name: Files
  - name: Health
  - name: Images
  - name: Metadatums
  - name: Moves
  - name: NotificationMethods
  - name: NotificationTypes
  - name: Options
  - name: Permissions
  - name: PermissionTypes
  - name: Plans
  - name: Properties
  - name: PropertyTypes
  - name: Records
  - name: Representations
  - name: RepresentationTypes
  - name: Roles
  - name: States
  - name: Subscriptions
  - name: Tickets
  - name: Transactions
  - name: Usages
  - name: Users
  - name: Workspaces
paths:
  /v1/records:
    post:
      tags:
        - Records
      summary: Create record
      description: Creates a new record (or duplicates an existing one).
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/PostRecord'
          application/json:
            schema:
              $ref: '#/components/schemas/PostRecord'
          text/json:
            schema:
              $ref: '#/components/schemas/PostRecord'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PostRecord'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Record'
            application/json:
              schema:
                $ref: '#/components/schemas/Record'
            text/json:
              schema:
                $ref: '#/components/schemas/Record'
components:
  schemas:
    PostRecord:
      type: object
      properties:
        id:
          type: integer
          format: int64
        dataset:
          $ref: '#/components/schemas/Dataset'
        state:
          $ref: '#/components/schemas/State'
        archived:
          type: string
          format: date-time
          nullable: true
        removed:
          type: string
          format: date-time
          nullable: true
        datums:
          type: array
          items:
            $ref: '#/components/schemas/Datum'
          nullable: true
        metadatums:
          type: array
          items:
            $ref: '#/components/schemas/Metadatum'
          nullable: true
        events:
          type: array
          items:
            $ref: '#/components/schemas/Event'
          nullable: true
        transitions:
          type: array
          items:
            $ref: '#/components/schemas/Transition'
          nullable: true
        original:
          $ref: '#/components/schemas/Record'
      additionalProperties: false
    Record:
      type: object
      properties:
        id:
          type: integer
          format: int64
        dataset:
          $ref: '#/components/schemas/Dataset'
        state:
          $ref: '#/components/schemas/State'
        archived:
          type: string
          format: date-time
          nullable: true
        removed:
          type: string
          format: date-time
          nullable: true
        datums:
          type: array
          items:
            $ref: '#/components/schemas/Datum'
          nullable: true
        metadatums:
          type: array
          items:
            $ref: '#/components/schemas/Metadatum'
          nullable: true
        events:
          type: array
          items:
            $ref: '#/components/schemas/Event'
          nullable: true
        transitions:
          type: array
          items:
            $ref: '#/components/schemas/Transition'
          nullable: true
      additionalProperties: false
    Dataset:
      type: object
      properties:
        id:
          type: integer
          format: int32
        name:
          type: string
          nullable: true
        isDisabled:
          type: boolean
        position:
          type: integer
          format: int32
        path:
          type: string
          nullable: true
        states:
          type: array
          items:
            $ref: '#/components/schemas/State'
          nullable: true
        properties:
          type: array
          items:
            $ref: '#/components/schemas/Property'
          nullable: true
        representations:
          type: array
          items:
            $ref: '#/components/schemas/Representation'
          nullable: true
      additionalProperties: false
    State:
      type: object
      properties:
        id:
          type: integer
          format: int32
        dataset:
          $ref: '#/components/schemas/Dataset'
        name:
          type: string
          nullable: true
        color:
          type: integer
          format: int64
        position:
          type: integer
          format: int32
      additionalProperties: false
    Datum:
      type: object
      properties:
        id:
          type: integer
          format: int64
        record:
          $ref: '#/components/schemas/Record'
        property:
          $ref: '#/components/schemas/Property'
        optionValue:
          $ref: '#/components/schemas/Option'
        userValue:
          $ref: '#/components/schemas/User'
        recordValue:
          $ref: '#/components/schemas/Record'
        integerValue:
          type: integer
          format: int64
          nullable: true
        decimalValue:
          type: number
          format: double
          nullable: true
        stringValue:
          type: string
          nullable: true
        dateTimeValue:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    Metadatum:
      type: object
      properties:
        id:
          type: integer
          format: int64
        record:
          $ref: '#/components/schemas/Record'
        representation:
          $ref: '#/components/schemas/Representation'
        recordValue:
          $ref: '#/components/schemas/Record'
        decimalValue:
          type: number
          format: double
          nullable: true
      additionalProperties: false
    Event:
      type: object
      properties:
        id:
          type: integer
          format: int64
        record:
          $ref: '#/components/schemas/Record'
        user:
          $ref: '#/components/schemas/User'
        eventType:
          $ref: '#/components/schemas/EventType'
        created:
          type: string
          format: date-time
        oldState:
          $ref: '#/components/schemas/State'
        newState:
          $ref: '#/components/schemas/State'
        property:
          $ref: '#/components/schemas/Property'
        oldOptionValue:
          $ref: '#/components/schemas/Option'
        oldUserValue:
          $ref: '#/components/schemas/User'
        oldRecordValue:
          $ref: '#/components/schemas/Record'
        oldIntegerValue:
          type: integer
          format: int64
          nullable: true
        oldDecimalValue:
          type: number
          format: double
          nullable: true
        oldStringValue:
          type: string
          nullable: true
        oldDateTimeValue:
          type: string
          format: date-time
          nullable: true
        newOptionValue:
          $ref: '#/components/schemas/Option'
        newUserValue:
          $ref: '#/components/schemas/User'
        newRecordValue:
          $ref: '#/components/schemas/Record'
        newIntegerValue:
          type: integer
          format: int64
          nullable: true
        newDecimalValue:
          type: number
          format: double
          nullable: true
        newStringValue:
          type: string
          nullable: true
        newDateTimeValue:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    Transition:
      type: object
      properties:
        id:
          type: integer
          format: int64
        record:
          $ref: '#/components/schemas/Record'
        oldState:
          $ref: '#/components/schemas/State'
        timestamp:
          type: string
          format: date-time
      additionalProperties: false
    Property:
      type: object
      properties:
        id:
          type: integer
          format: int32
        dataset:
          $ref: '#/components/schemas/Dataset'
        propertyType:
          $ref: '#/components/schemas/PropertyType'
        name:
          type: string
          nullable: true
        isUsedAsTitle:
          type: boolean
        isRequired:
          type: boolean
        parameters:
          type: string
          nullable: true
        position:
          type: integer
          format: int32
        options:
          type: array
          items:
            $ref: '#/components/schemas/Option'
          nullable: true
      additionalProperties: false
    Representation:
      type: object
      properties:
        id:
          type: integer
          format: int32
        dashboard:
          $ref: '#/components/schemas/Dashboard'
        dataset:
          $ref: '#/components/schemas/Dataset'
        representationType:
          $ref: '#/components/schemas/RepresentationType'
        name:
          type: string
          nullable: true
        parameters:
          type: string
          nullable: true
        position:
          type: integer
          format: int32
      additionalProperties: false
    Option:
      type: object
      properties:
        id:
          type: integer
          format: int32
        property:
          $ref: '#/components/schemas/Property'
        text:
          type: string
          nullable: true
        color:
          type: integer
          format: int64
          nullable: true
      additionalProperties: false
    User:
      type: object
      properties:
        id:
          type: integer
          format: int32
        photoFilename:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        role:
          $ref: '#/components/schemas/Role'
        userType:
          $ref: '#/components/schemas/UserType'
        languageCode:
          type: string
          nullable: true
        timeZone:
          type: string
          nullable: true
        timeZoneOffset:
          type: integer
          format: int32
        acceptedTerms:
          type: boolean
        isSubscribedToNewsletter:
          type: boolean
        isDisabled:
          type: boolean
        tickets:
          type: array
          items:
            $ref: '#/components/schemas/Ticket'
          nullable: true
        privileges:
          type: array
          items:
            $ref: '#/components/schemas/Privilege'
          nullable: true
        notificationPreferences:
          type: array
          items:
            $ref: '#/components/schemas/NotificationPreference'
          nullable: true
        emailChangeTokens:
          type: array
          items:
            $ref: '#/components/schemas/EmailChangeToken'
          nullable: true
      additionalProperties: false
    EventType:
      type: object
      properties:
        id:
          type: string
          nullable: true
      additionalProperties: false
    PropertyType:
      type: object
      properties:
        id:
          type: string
          nullable: true
        isAutomatic:
          type: boolean
        isPlural:
          type: boolean
        isSortable:
          type: boolean
        position:
          type: integer
          format: int32
      additionalProperties: false
    Dashboard:
      type: object
      properties:
        id:
          type: integer
          format: int32
        name:
          type: string
          nullable: true
        isDisabled:
          type: boolean
        position:
          type: integer
          format: int32
        path:
          type: string
          nullable: true
        representations:
          type: array
          items:
            $ref: '#/components/schemas/Representation'
          nullable: true
      additionalProperties: false
    RepresentationType:
      type: object
      properties:
        id:
          type: string
          nullable: true
        isAggregated:
          type: boolean
        position:
          type: integer
          format: int32
      additionalProperties: false
    Role:
      type: object
      properties:
        id:
          type: integer
          format: int32
        name:
          type: string
          nullable: true
        users:
          type: array
          items:
            $ref: '#/components/schemas/User'
          nullable: true
      additionalProperties: false
    UserType:
      type: object
      properties:
        id:
          type: string
          nullable: true
      additionalProperties: false
    Ticket:
      type: object
      properties:
        id:
          type: string
          nullable: true
        user:
          $ref: '#/components/schemas/User'
        scopeDataset:
          $ref: '#/components/schemas/Dataset'
        scopeRecord:
          $ref: '#/components/schemas/Record'
        redirectUrl:
          type: string
          nullable: true
        created:
          type: string
          format: date-time
        expires:
          type: string
          format: date-time
          nullable: true
        isSingleUse:
          type: boolean
      additionalProperties: false
    Privilege:
      type: object
      properties:
        id:
          type: integer
          format: int32
        user:
          $ref: '#/components/schemas/User'
        dashboard:
          $ref: '#/components/schemas/Dashboard'
        dataset:
          $ref: '#/components/schemas/Dataset'
      additionalProperties: false
    NotificationPreference:
      type: object
      properties:
        user:
          $ref: '#/components/schemas/User'
        notificationType:
          $ref: '#/components/schemas/NotificationType'
        notificationMethod:
          $ref: '#/components/schemas/NotificationMethod'
      additionalProperties: false
    EmailChangeToken:
      type: object
      properties:
        id:
          type: string
          format: uuid
        newEmail:
          type: string
          nullable: true
        created:
          type: string
          format: date-time
      additionalProperties: false
    NotificationType:
      type: object
      properties:
        id:
          type: string
          nullable: true
      additionalProperties: false
    NotificationMethod:
      type: object
      properties:
        id:
          type: string
          nullable: true
      additionalProperties: false

````